<?xml version="1.0" encoding="UTF-8"?>
<databaseChangeLog xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
                   xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
                   xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog
                   https://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-latest.xsd">

    <changeSet id="20230919-1400-category.xml" author="LongHazard">
        <createTable tableName="category">
            <column name="id" type="VARCHAR(255)">
                <constraints primaryKey="true" nullable="false"/>
            </column>

            <column name="name" type="varchar(255)">
                <constraints unique="true" nullable="false"/>
            </column>

            <column name="parent_id" type="VARCHAR(255)"/>
            <column name="is_deleted" type="BOOLEAN" defaultValue="false"/>
            <column name="image_id" type="VARCHAR(255)"/>
            <column name="is_active" type="INTEGER" defaultValue="0"/>
            <column name="created_by" type="varchar(255)"/>
            <column name="created_at" type="bigint"/>
            <column name="last_updated_by" type="varchar(255)"/>
            <column name="last_updated_at" type="bigint"/>
        </createTable>
    </changeSet>
</databaseChangeLog>